<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>insertUser</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container bg-light">
        <h2 class="text-center">Thêm mới User</h2>
        <div class="row">
            <div class="col-md-6 mx-auto">
                <div class="form-group">
                    <label for="inp-first-name">First Name</label>
                    <input type="text" class="form-control" name="firstName" id="inp-first-name"
                        placeholder="Nhập vào First name..." />
                </div>
                <div class="form-group">
                    <label for="inp-last-name">Last Name</label>
                    <input type="text" class="form-control" name="lastName" id="inp-last-name"
                        placeholder="Nhập vào Last name..." />
                </div>
                <div class="form-group">
                    <label for="select-country">Country</label>
                    <select id="select-country" class="form-control">
                        <option value="VN">Việt Nam</option>
                        <option value="USA">USA</option>
                        <option value="AUS">Australia</option>
                        <option value="CAN">Canada</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="select-customer-type">Customer Type</label>
                    <select class="form-control" name="customerType" id="select-customer-type">
                        <option value="Standard">Standard</option>
                        <option value="Gold">Gold</option>
                        <option value="Premium">Premium</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="tarea-subject">Subject</label>
                    <textarea class="form-control" name="subject" id="tarea-subject" rows="3"
                        placeholder="Nhập vào Subject..."></textarea>
                </div>
                <div class="form-group">
                    <a id="btn-previous-page" class="btn btn-link" href="listUser.html">Quay lại</a>
                    <button name="btnAddUser" id="btn-add-user" class="btn btn-success float-right">Thêm mới</button>
                </div>
            </div>
        </div>
    </div>
</body>

<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gURL = "http://203.171.20.210:8080/crud-api/users/";
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        $("#btn-add-user").click(addUser);
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function addUser() {
        // Thu thập dữ liệu từ form
        const firstName = $("#inp-first-name").val();
        const lastName = $("#inp-last-name").val();
        const country = $("#select-country").val();
        const customerType = $("#select-customer-type").val();
        const subject = $("#tarea-subject").val();

        // Validate dữ liệu
        if (firstName === "" || lastName === "" || subject === "") {
            alert("Vui lòng nhập đầy đủ thông tin.");
            return;
        }

        // Gọi API để thêm user
        const newUser = {
            firstname: firstName,
            lastname: lastName,
            country: country,
            customerType: customerType,
            subject: subject
        };

        $.ajax({
            type: "POST",
            url: gURL,
            data: JSON.stringify(newUser),
            contentType: "application/json",
            success: function (res) {
                alert("Thêm user thành công!");
                // Quay lại trang listUser.html
                window.location.href = "listUser.html";
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText)
            }

        });
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

</script>

</html>